package com.example.mobileapp.data.api.models

import com.example.mobileapp.data.db.models.Category
import kotlinx.serialization.Serializable

@Serializable
data class CategoryRemote(
    val id: Int? = 0,
    val name: String = ""
)

@Serializable
data class CategoryListResponse(
    val categories: List<CategoryRemote> = listOf(),
    val nextKey: Int? = null
)

fun CategoryRemote.toCategory(): Category = Category(
    id, name
)

fun Category.toCategoryRemote(): CategoryRemote = CategoryRemote(
    id = id, name = name
)