package com.example.mobileapp.data.api.models

import com.example.mobileapp.data.db.models.Order
import com.example.mobileapp.data.db.models.OrderProduct
import kotlinx.serialization.Serializable

@Serializable
data class OrderRemote(
    val id: Int? = null,
    val user_id: Int? = -1,
    val price: Int = -1,
    val status_id: Int? = -1,

    val order_products: List<OrderProductRemote> = listOf()
)

@Serializable
data class OrderListResponse(
    val orders: List<OrderRemote> = listOf(),
    val nextKey: Int? = null
)

fun OrderRemote.toOrder() : Order = Order(
    id= id, userId = user_id, price= price, statusId = status_id
)

fun Order.toOrderRemote() : OrderRemote = OrderRemote(
    id= id, user_id= userId, price= price, status_id = statusId
)

@Serializable
data class OrderProductRemote(
    val id: Int? = null,
    val order_id: Int = -1,
    val product_id: Int = -1,
    val amount: Int = 0,

    val order: OrderRemote? = null,
    val product: ProductRemote? = null
)

fun OrderProductRemote.toOrderProduct() : OrderProduct = OrderProduct(
    order_id, product_id, amount
)

fun OrderProduct.toOrderProductRemote() : OrderProductRemote = OrderProductRemote(
    order_id = orderId, product_id = productId, amount = amount
)