package com.example.mobileapp.data.api.models

import com.example.mobileapp.data.db.models.User
import kotlinx.serialization.Serializable

@Serializable
data class TokenRemote(
    val access_token: String = ""
)

@Serializable
data class UserRemote(
    val id: Int? = 0,
    val login: String = "",
    val password:String = "",
    val role_id:Int = -1
)

@Serializable
data class UserListResponse(
    val users: List<UserRemote> = listOf(),
    val nextKey: Int? = null
)

fun UserRemote.toUser(): User = User(
    id, login, password, role_id
)

fun User.toUserRemote(): UserRemote = UserRemote(
    id = id, login = login, password = password, role_id = roleId
)