package com.example.mobileapp.data.api.repositories

import com.example.mobileapp.data.api.MyServerService
import com.example.mobileapp.data.api.models.OrderRemote
import javax.inject.Inject

class RestOrderRepository @Inject constructor(
    private val service: MyServerService
) {
    suspend fun getCartByUser(token:String) : OrderRemote {
        return service.getCartByUser(token)
    }

    suspend fun insertOrder(token: String, order: OrderRemote): OrderRemote? {
        return service.insertOrder(order, token)
    }

    suspend fun updateOrder(token: String, order: OrderRemote): OrderRemote? {
        return service.updateOrder(order, token)
    }

    suspend fun deleteOrder(token: String, orderId: Int) {
        service.deleteOrder(orderId, token)
    }
}