package com.example.mobileapp.data.api.repositories

import com.example.mobileapp.data.api.MyServerService
import com.example.mobileapp.data.api.models.ProductRemote
import com.example.mobileapp.data.api.models.toProduct
import com.example.mobileapp.data.api.models.toProductRemote
import com.example.mobileapp.data.db.models.Product
import javax.inject.Inject

class RestProductRepository @Inject constructor(
    private val service: MyServerService
) {
    suspend fun insert(product: Product, token: String) {
        service.insertProduct(product.toProductRemote(), token)
    }

    suspend fun update(product: Product, token: String) {
        service.updateProduct((product.toProductRemote()), token)
    }

    suspend fun delete(id: Int, token: String) {
        service.deleteProduct(id, token)
    }

    suspend fun getProductById(id: Int, token: String) : Product {
        return service.getProductById(id, token).toProduct()
    }

    suspend fun getProductsByCategoryId(categoryId: Int, token: String) : List<ProductRemote> {
        return service.getProductsByCategoryId(categoryId, token)
    }
}