package com.example.mobileapp.data.api.repositories

import com.example.mobileapp.data.api.MyServerService
import com.example.mobileapp.data.api.models.RoleRemote
import com.example.mobileapp.data.api.models.toRoleRemote
import com.example.mobileapp.data.db.models.Role
import javax.inject.Inject

class RestRoleRepository @Inject constructor(
    private val service: MyServerService
) {
    suspend fun getRole(role: Role): RoleRemote? {
        return service.getRole(role.toRoleRemote())
    }

    suspend fun getRoles() : List<RoleRemote> {
        return service.getRoles()
    }
}