package com.example.mobileapp.data.api.repositories

import com.example.mobileapp.data.api.MyServerService
import com.example.mobileapp.data.api.models.TokenRemote
import com.example.mobileapp.data.api.models.UserRemote
import com.example.mobileapp.data.api.models.toUserRemote
import com.example.mobileapp.data.db.models.User
import javax.inject.Inject

class RestUserRepository @Inject constructor(
    private val service: MyServerService
) {
    suspend fun insert(user: User) {
        service.createUser(user.toUserRemote())
    }

    suspend fun update(user: User, token: String) {
        service.updateUser((user.toUserRemote()), token)
    }

    suspend fun delete(id: Int, token: String) {
        service.deleteUser(id, token)
    }

    suspend fun getToken(user: User): TokenRemote {
        return service.getToken(user.toUserRemote())
    }

    suspend fun checkLogin(user: User): UserRemote? {
        return service.checkLogin(user.toUserRemote())
    }
}