package com.example.mobileapp.data.db
import androidx.room.*
import com.example.mobileapp.data.db.dao.*
import com.example.mobileapp.data.db.models.*

@Database(
    entities =
    [
        Role::class,
        Status::class,
        Category::class,
        User::class,
        Order::class,
        Product::class,
        OrderProduct::class,
    ],
    version = 5,
    exportSchema = false
)
abstract class AppDatabase : RoomDatabase() {
    abstract fun roleDao() : RoleDao
    abstract fun statusDao() : StatusDao
    abstract fun categoryDao() : CategoryDao
    abstract fun userDao() : UserDao
    abstract fun productDao() : ProductDao
    abstract fun orderDao() : OrderDao
    abstract fun orderProductDao() : OrderProductDao

    companion object {
        const val DB_NAME: String = "mobileapp-db"
    }
}