package com.example.mobileapp.data.db.dao
import androidx.room.*
import com.example.mobileapp.data.db.models.*
import androidx.paging.PagingSource
import com.example.mobileapp.data.db.models.Category

@Dao
interface CategoryDao {
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insert(category: Category)
    @Update
    suspend fun update(category: Category)
    @Delete
    suspend fun delete(category: Category)
    @Query("delete from category")
    fun deleteAll()
    @Query("select * from category")
    fun getPaged() : PagingSource<Int, Category>
}
