package com.example.mobileapp.data.db.dao
import androidx.room.*
import com.example.mobileapp.data.db.models.OrderProduct

@Dao
interface OrderProductDao {
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insert(orderProduct: OrderProduct)
    @Update
    suspend fun update(orderProduct: OrderProduct)
    @Delete
    suspend fun delete(orderProduct: OrderProduct)
    @Query("delete from order_product WHERE order_id = :orderId")
    suspend fun deleteByOrderId(orderId: Int)
    @Query("delete from order_product WHERE product_id = :productId")
    suspend fun deleteByProductId(productId: Int)
}