package com.example.mobileapp.data.db.dao
import androidx.paging.PagingSource
import androidx.room.*
import com.example.mobileapp.data.db.models.User

@Dao
interface UserDao {
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insert(user: User)
    @Update
    suspend fun update(user: User)
    @Delete
    suspend fun delete(user: User)
    @Query("delete from user")
    fun deleteAll()
    @Query("select * from user")
    fun getPaged() : PagingSource<Int, User>
}