package com.example.mobileapp.data.repositories

import com.example.mobileapp.data.api.models.toOrderProductRemote
import com.example.mobileapp.data.api.repositories.RestOrderProductRepository
import com.example.mobileapp.data.db.dao.OrderProductDao
import com.example.mobileapp.data.db.models.OrderProduct
import javax.inject.Inject

class OrderProductRepository @Inject constructor(
    private val orderProductDao: OrderProductDao,
    private val restOrderProductRepository: RestOrderProductRepository
){
    suspend fun insert(token: String, orderProduct: OrderProduct) {
        orderProductDao.insert(orderProduct)
        return restOrderProductRepository.insertOrderProduct(token, orderProduct.toOrderProductRemote())
    }
    suspend fun update(token: String, orderProduct: OrderProduct) {
        orderProductDao.update(orderProduct)
        return restOrderProductRepository.updateOrderProduct(token, orderProduct.toOrderProductRemote())
    }
    suspend fun delete(token: String, orderProduct: OrderProduct) {
        orderProductDao.delete(orderProduct)
        restOrderProductRepository.deleteOrderProduct(token, orderProduct.toOrderProductRemote())
    }
}