package com.example.mobileapp.data.repositories

import com.example.mobileapp.data.api.models.RoleRemote
import com.example.mobileapp.data.api.repositories.RestRoleRepository
import com.example.mobileapp.data.db.dao.RoleDao
import com.example.mobileapp.data.db.models.Role
import javax.inject.Inject

class RoleRepository @Inject constructor(
    private val roleDao: RoleDao,
    private val restRepository: RestRoleRepository
){
    suspend fun insert(role: Role) = roleDao.insert(role)
    suspend fun update(role: Role) = roleDao.update(role)
    suspend fun delete(role: Role) = roleDao.delete(role)

    suspend fun getRole(role: Role): RoleRemote? {
        return restRepository.getRole(role)
    }

    suspend fun getRoles() : List<RoleRemote> {
        return restRepository.getRoles()
    }
}