package com.example.mobileapp.data.repositories

import com.example.mobileapp.data.api.models.StatusRemote
import com.example.mobileapp.data.api.models.toStatus
import com.example.mobileapp.data.api.repositories.RestStatusRepository
import com.example.mobileapp.data.db.dao.StatusDao
import com.example.mobileapp.data.db.models.Status
import javax.inject.Inject

class StatusRepository @Inject constructor(
    private val statusDao: StatusDao,
    private val restRepository: RestStatusRepository
){
    suspend fun insert(status: Status) = statusDao.insert(status)
    suspend fun update(status: Status) = statusDao.update(status)
    suspend fun delete(status: Status) = statusDao.delete(status)
    suspend fun getStatus(status: Status): StatusRemote? {
        val statusModel = restRepository.getStatus(status)
        if (statusModel != null){
            statusDao.insert(statusModel.toStatus())
        }
        return statusModel
    }
}