package com.example.mobileapp.ui.widgets

import androidx.compose.foundation.BorderStroke
import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.size
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.Card
import androidx.compose.material3.CardDefaults
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.text.font.Font
import androidx.compose.ui.text.font.FontFamily
import androidx.compose.ui.text.style.TextAlign
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import com.example.mobileapp.R

@Composable
fun Header(backColor: Color){
    Column {
        Card(
            shape = RoundedCornerShape(bottomStart = 30.dp, bottomEnd = 30.dp),
            border = BorderStroke(4.dp, Color(222,161,69)),
            modifier = Modifier
                .fillMaxWidth()
                .background(backColor),
            colors = CardDefaults.cardColors(
                containerColor = Color(255, 186, 83)
            )
        ) {
            Row (
                verticalAlignment = Alignment.CenterVertically,
                modifier = Modifier
                    .fillMaxWidth(),
                horizontalArrangement = Arrangement.Center,
            ) {
                Text(
                    text = "Вкусно",
                    color = Color.Black,
                    fontFamily = FontFamily(Font(R.font.nunito_extrabold_italic)),
                    fontSize = 34.sp,
                    modifier = Modifier
                        .padding(top = 20.dp, bottom = 20.dp),
                    textAlign = TextAlign.Center,
                )
                Image(
                    painterResource(
                        id = R.drawable.icon
                    ),
                    contentDescription = "Logo",
                    modifier = Modifier
                        .size(60.dp, 60.dp),
                )
                Text(
                    text = "ладно",
                    color = Color.Black,
                    fontFamily = FontFamily(Font(R.font.nunito_extrabold_italic)),
                    fontSize = 34.sp,
                    modifier = Modifier
                        .padding(top = 20.dp, bottom = 20.dp),
                    textAlign = TextAlign.Center,
                )
            }
        }
    }
}